import request from '@/utils/request'
import { URL } from '@/config'

export function getLists(params) {
  return request({
    url: URL.shop.base.product.type.getLists,
    method: 'get',
    params,
  })
}
export function getListS(params) {
  return request({
    url: URL.shop.base.product.type.getListS,
    method: 'get',
    params,
  })
}

export function getList(params) {
  return request({
    url: URL.shop.base.product.type.getList,
    method: 'get',
    params,
  })
}

export function get(params) {
  return request({
    url: URL.shop.base.product.type.get,
    method: 'get',
    params,
  })
}

export function getAssist(params) {
  return request({
    url: URL.shop.base.product.assist.getAssist,
    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.shop.base.product.type.doEdit,
    method: 'post',
    data,
  })
}

export function doEdits(data) {
  return request({
    url: URL.shop.base.product.type.doEdits,
    method: 'post',
    data,
  })
}

export function doDelete(data) {
  return request({
    url: URL.shop.base.product.type.doDelete,
    method: 'post',
    data,
  })
}

export function delAssistItem(data) {
  return request({
    url: URL.shop.base.product.type.delAssistItem,
    method: 'post',
    data,
  })
}

export function delAssist(data) {
  return request({
    url: URL.shop.base.product.type.delAssist,
    method: 'post',
    data,
  })
}
